> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Ticket

Update the properties of an existing ticket.

> [!NOTE]
>
> External Documentation
>
> To learn more, visit the [Freshdesk documentation](https://developers.freshdesk.com/api/#update_ticket).

## Basic Parameters

| Parameter | Description |
| - | - |
| Description | The HTML content of the ticket. |
| Priority | Select the priority of the ticket. |
| Status | Select the status of the ticket. |
| Subject | The subject of the ticket. |
| Ticket ID | Select the ticket. |

## Advanced Parameters

| Parameter | Description |
| - | - |
| Additional Parameters | A JSON object for additional body parameters. Values specified in this parameter will override equivalent parameters. For example: <pre>`{    "first_key": 12345,    "second_key": "some_value"}`</pre>The object must follow the vendor's structure as defined in the [API documentation](https://developers.freshdesk.com/api/#update_ticket). |
| Due By | The timestamp at which the ticket is due to be resolved. |
| Group ID | The ID of the group to assign to the ticket. Can be obtained in the `List Groups` action. |
| Parent ID | The ID of the parent ticket. Setting this makes the ticket a child ticket. |
| Responder ID | Select the agent to assign to the ticket. |
| Source | Select the channel through which the ticket was created or updated. |
| Tags | A comma-separated list of tags to associate with the ticket. |
| Type | The type of the ticket. |

## Example Output

```json theme={"dark"}
{
	"cc_emails": [],
	"fwd_emails": [],
	"reply_cc_emails": [],
	"description_text": "Not given.",
	"structured_description": {
		"description_contents": [
			{
				"type": "text",
				"data": {
					"content": "Not given."
				}
			}
		]
	},
	"description": "<div>Not given.</div>",
	"spam": false,
	"email_config_id": null,
	"fr_escalated": false,
	"group_id": null,
	"priority": 2,
	"requester_id": 1,
	"responder_id": null,
	"source": 3,
	"status": 3,
	"subject": "",
	"id": 20,
	"type": null,
	"to_emails": null,
	"product_id": null,
	"attachments": [],
	"is_escalated": false,
	"tags": [],
	"created_at": "2015-08-24T11:56:51Z",
	"updated_at": "2015-08-24T11:59:05Z",
	"due_by": "2015-08-27T11:30:00Z",
	"fr_due_by": "2015-08-25T11:30:00Z"
}
```

## Workflow Library Example

[Update Ticket with Freshdesk and Send Results Via Email](https://library.blinkops.com/workflows/update-ticket-with-freshdesk-and-send-results-via-email)

![Workflow Library](https://mintcdn.com/blinkops-2/ojHYuDeYX5FWuN8a/img/Icons/play-box.svg?fit=max\&auto=format\&n=ojHYuDeYX5FWuN8a\&q=85\&s=b8af968e71438a9499c3223c9bd29fb2)

Preview this Workflow on desktop

[https://library.blinkops.com/workflows/update-ticket-with-freshdesk-and-send-results-via-email/canvas](https://library.blinkops.com/workflows/update-ticket-with-freshdesk-and-send-results-via-email/canvas)
